<?php
// Copyright 1999-2015. Parallels IP Holdings GmbH. All Rights Reserved.
?>
<div class='form-row'>
    <div class="field-name">
        <label for="<?php echo $this->element->getId(); ?>">
            <?php echo $this->element->getLabel(); ?>
            <?php if (!$this->readOnly): ?>
                <span class="required">*</span>
            <?php endif; ?>
        </label>
    </div>

    <div class='field-value'>
        <span>
            <img src="<?php echo $this->skinUrl('/icons/16/plesk/website.png'); ?>"/>
            /
            <?php if ($this->readOnly): ?>
                <?php echo $this->escape($this->element->getValue()); ?>
                <?php if ($this->readOnlyHint): ?>
                    <?php echo $this->elementPart($this->element)->description(); ?>
                <?php endif; ?>
            <?php else: ?>
                <?php echo $this->elementPart($this->element)->content(); ?>
                <?php echo $this->elementPart($this->element)->description(); ?>
            <?php endif; ?>
        </span>
        <span class="field-errors" style="display: none;"></span>
    </div>
</div>

<script type="text/javascript">
//<![CDATA[
Jsw.onReady(function() {
    var generateDocRootPath = function() {
        var domainPrefix = $('domainName-name').value.strip();
        if ('' === domainPrefix) {
            $('hostingSettings-root').value = '';
            return;
        }

        var domainName = domainPrefix;
        if (Jsw.getComponent('domainName-domain')) {
            if ('*' === domainPrefix) {
                $('hostingSettings-root').value = 'httpdocs';
                return;
            }

            var domainSuffix = Jsw.getComponent('domainName-domain').getDisplayValue();
            if ('' === domainSuffix) {
                $('hostingSettings-root').value = '';
                return;
            }

            domainName += '.' + domainSuffix;
        }

        if (/^[a-zA-Z0-9\.\-\*]+$/.match(domainName)) {
            $('hostingSettings-root').value = domainName.replace('*', '_');
        } else {
            $('hostingSettings-root').value = '';
        }
    };

    var removeDocRootPathGenerator = function() {
        $w('change keyup').each(function(eventName) {
            $('domainName-name').stopObserving(eventName, generateDocRootPath);
            $('hostingSettings-root').stopObserving(eventName, removeDocRootPathGenerator);
        });

        if (Jsw.getComponent('domainName-domain')) {
            Jsw.getComponent('domainName-domain').removeEventObserver('component:change', generateDocRootPath);
        }
    };

    if ($('domainName-name') && '' == $('domainName-name').value) {
        $w('change keyup').each(function(eventName) {
            $('domainName-name').observe(eventName, generateDocRootPath);
            $('hostingSettings-root').observe(eventName, removeDocRootPathGenerator);
        });

        if (Jsw.getComponent('domainName-domain')) {
            Jsw.getComponent('domainName-domain').addEventObserver('component:change', generateDocRootPath);
        }
    }
});
//]]>
</script>
